import DS from 'ember-data'

export default DS.Model.extend
  state:             DS.attr('string', defaultValue: 'uncategorized')
  client_identifier: DS.attr('string')
  reference_date:    DS.attr('moment')
  batch_size:        DS.attr('number')
  notes:             DS.attr('string')

  project:                  DS.belongsTo('panda/project', inverse: 'project_instances')
  project_scenario:         DS.belongsTo('panda/project-scenario', inverse: 'project_instances')
  project_instance_groups:  DS.hasMany('panda/project-instance-group', inverse: 'project_instance')
  project_instance_actions: DS.hasMany('panda/project-instance-action', inverse: 'project_instance')

